#include<iostream>
#include<cstdlib>
using namespace std;
int nums[2000000], pos[6000000];
int a[2000000], c[2000000];
int main(){
    std::cin.tie(nullptr);
    std:ios::sync_with_stdio(false);
    int n=1000000;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>nums[i];
        //nums[i]=i+1;
        pos[nums[i]]=i+1;
    }
    for(int i=0;i<n;i++){
        for(int j=nums[i];j<3000000;j+=nums[i]){
            if(pos[j]){
                c[i]++;
                a[pos[j]-1]++;
            }
        }
    }
    long long ans=0;
    for(int i=0;i<n;i++){
        a[i]--;
        c[i]--;
        //cout<<a[i]<<" "<<c[i]<<endl;
        ans+=a[i]*c[i];
    }
    cout<<ans<<endl;
    return 0;
}
